Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model
Class DefaultFrame

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultFrame

All Implemented Interfaces:
  Frame, Localizable, Serializable, Comparable<Frame>

Direct Known Subclasses:
  DefaultInstance

    public abstract class DefaultFrame

extends Object
implements Frame, Localizable, Serializable

Default implementation of Frame interface. Forwards all method calls to its DefaultKnowledgeBase.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Constructor Summary
`protected` | `DefaultFrame()`

Method Summary
`void` | `addFrameListener(FrameListener listener)`
`boolean` | `addOwnFacetValue(Slot slot, Facet facet, Object value)`
`void` | `addOwnSlotValue(Slot slot, Object value)`
`boolean` | `areValidOwnSlotValues(Slot slot, Collection c)`
`void` | `assertFrameName()` This call ensures that the name slot for the frame has the frame name as its value.
`int` | `compareTo(Frame f2)`
`Frame` | `copy(KnowledgeBase kb, Map valueMap, boolean isDeep)`
`void` | `delete()`
`boolean` | `equals(Object o)`
`static boolean` | `equals(Object o1, Object o2)`
`protected KnowledgeBase` | `getDefaultKnowledgeBase()`
`URI` | `getDefiningProjectURI()` Deprecated.
`Object` | `getDirectOwnSlotValue(Slot slot)` see `Frame` for a description of the return type
`List` | `getDirectOwnSlotValues(Slot slot)` See `Frame` for a description of the return type.
`Collection` | `getDocumentation()`
`FrameID` | `getFrameID()`
`Icon` | `getIcon()`
`String` | `getInvalidOwnSlotValuesText(Slot slot, Collection c)`
`String` | `getInvalidOwnSlotValueText(Slot slot, Object o)`
`KnowledgeBase` | `getKnowledgeBase()`
`String` | `getName()`
`boolean` | `getOwnSlotAllowsMultipleValues(Slot slot)`
`Collection` | `getOwnSlotAndSubslotValues(Slot slot)` Returns the own slot values for this slot and all of its subslots.
`Collection` | `getOwnSlotDefaultValues(Slot slot)` see `Frame`for a description of the return type
`Collection` | `getOwnSlotFacets(Slot slot)`
`Collection` | `getOwnSlotFacetValues(Slot slot, Facet facet)`
`Collection<Slot>` | `getOwnSlots()` Gets the collection of own slots for a frame.
`Object` | `getOwnSlotValue(Slot slot)` see `Frame` for a description of the return type
`int` | `getOwnSlotValueCount(Slot slot)`
`Collection` | `getOwnSlotValues(Slot slot)` see `Frame` for a description of the return type
`ValueType` | `getOwnSlotValueType(Slot slot)`
`Project` | `getProject()`
`Collection<Reference>` | `getReferences()`
`Collection<Reference>` | `getReferences(int maxReferences)`
`int` | `hashCode()`
`boolean` | `hasOwnSlot(Slot slot)`
`boolean` | `isBeingDeleted()`
`boolean` | `isDeleted()`
`boolean` | `isEditable()`
`boolean` | `isIncluded()`
`boolean` | `isSystem()`
`boolean` | `isValid()` Deprecated.
`boolean` | `isValidOwnSlotValue(Slot slot, Object o)`
`boolean` | `isVisible()`
`void` | `localize(KnowledgeBase kb)`
`void` | `markDeleted(boolean deleted)`
`void` | `markDeleting()`
`void` | `moveDirectOwnSlotValue(Slot slot, int fromIndex, int toIndex)`
`void` | `removeFrameListener(FrameListener listener)`
`void` | `removeOwnSlotValue(Slot slot, Object value)` Remove _all_ occurrences of this value.
`Frame` | `rename(String name)` This is as close as we come to renaming a frame.
`void` | `setDirectOwnSlotValue(Slot slot, Object value)` Same as #setOwnSlotValue(Slot, Object)
`void` | `setDirectOwnSlotValues(Slot slot, Collection values)` Same as #setOwnSlotValues(Slot, Collection)
`void` | `setDocumentation(Collection documentation)`
`void` | `setDocumentation(String documentation)`
`void` | `setEditable(boolean b)`
`void` | `setIncluded(boolean b)`
`void` | `setOwnFacetValue(Slot slot, Facet facet, Object value)` See `Frame`for a description of the value type.
`void` | `setOwnFacetValues(Slot slot, Facet facet, Collection values)` See `Frame`for a description of the value type.
`void` | `setOwnSlotValue(Slot slot, Object value)` See `Frame`for a description of the value type.
`void` | `setOwnSlotValues(Slot slot, Collection values)` See `Frame`for a description of the value type.
`void` | `setSystem(boolean b)`
`void` | `setVisible(boolean v)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`deepCopy, getBrowserText, getOwnFacetValue, getOwnFacetValues, shallowCopy`

Constructor Detail

### DefaultFrame

    protected DefaultFrame()

Method Detail

### getDefiningProjectURI

    public URI getDefiningProjectURI()

  Deprecated.

### getFrameID

    public FrameID getFrameID()

  Specified by:
    `getFrameID` in interface `Frame`

### isDeleted

    public boolean isDeleted()

  Specified by:
    `isDeleted` in interface `Frame`

### markDeleted

    public void markDeleted(boolean deleted)

  Specified by:
    `markDeleted` in interface `Frame`

### isBeingDeleted

    public boolean isBeingDeleted()

  Specified by:
    `isBeingDeleted` in interface `Frame`

### markDeleting

    public void markDeleting()

  Specified by:
    `markDeleting` in interface `Frame`

### isValid

    public boolean isValid()

  Deprecated.

  Specified by:
    `isValid` in interface `Frame`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `Object`

### addFrameListener

    public void addFrameListener(FrameListener listener)

  Specified by:
    `addFrameListener` in interface `Frame`

### addOwnFacetValue

    public boolean addOwnFacetValue(Slot slot,
                                    Facet facet,
                                    Object value)

  Specified by:
    `addOwnFacetValue` in interface `Frame`

### addOwnSlotValue

    public void addOwnSlotValue(Slot slot,
                                Object value)

  Specified by:
    `addOwnSlotValue` in interface `Frame`

### areValidOwnSlotValues

    public boolean areValidOwnSlotValues(Slot slot,
                                         Collection c)

  Specified by:
    `areValidOwnSlotValues` in interface `Frame`

### compareTo

    public int compareTo(Frame f2)

  Specified by:
    `compareTo` in interface `Comparable<Frame>`

### equals

    public static boolean equals(Object o1,
                                 Object o2)

### copy

    public Frame copy(KnowledgeBase kb,
                      Map valueMap,
                      boolean isDeep)

  Specified by:
    `copy` in interface `Frame`

### delete

    public void delete()

  Specified by:
    `delete` in interface `Frame`

### getDefaultKnowledgeBase

    protected KnowledgeBase getDefaultKnowledgeBase()

### getDocumentation

    public Collection getDocumentation()

  Specified by:
    `getDocumentation` in interface `Frame`

### getInvalidOwnSlotValuesText

    public String getInvalidOwnSlotValuesText(Slot slot,
                                              Collection c)

  Specified by:
    `getInvalidOwnSlotValuesText` in interface `Frame`

### getInvalidOwnSlotValueText

    public String getInvalidOwnSlotValueText(Slot slot,
                                             Object o)

  Specified by:
    `getInvalidOwnSlotValueText` in interface `Frame`

### getKnowledgeBase

    public final KnowledgeBase getKnowledgeBase()

  Specified by:
    `getKnowledgeBase` in interface `Frame`

### localize

    public void localize(KnowledgeBase kb)

  Specified by:
    `localize` in interface `Localizable`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Frame`

### getOwnSlotAllowsMultipleValues

    public boolean getOwnSlotAllowsMultipleValues(Slot slot)

  Specified by:
    `getOwnSlotAllowsMultipleValues` in interface `Frame`

### getOwnSlotAndSubslotValues

    public Collection getOwnSlotAndSubslotValues(Slot slot)

  Description copied from interface: `Frame`
  Returns the own slot values for this slot and all of its subslots. See `Frame` for a description of the return type.

  Specified by:
    `getOwnSlotAndSubslotValues` in interface `Frame`

### getOwnSlotDefaultValues

    public Collection getOwnSlotDefaultValues(Slot slot)

  Description copied from interface: `Frame`
  see `Frame`for a description of the return type

  Specified by:
    `getOwnSlotDefaultValues` in interface `Frame`

### getOwnSlotFacets

    public Collection getOwnSlotFacets(Slot slot)

  Specified by:
    `getOwnSlotFacets` in interface `Frame`

### getOwnSlotFacetValues

    public Collection getOwnSlotFacetValues(Slot slot,
                                            Facet facet)

  Specified by:
    `getOwnSlotFacetValues` in interface `Frame`

### getOwnSlots

    public Collection<Slot> getOwnSlots()

  Description copied from interface: `Frame`
  Gets the collection of own slots for a frame. These consist of the template slots of all of its direct types as well as the slots :NAME and :DIRECT-TYPE. See the Protege documentation (or the OKBC spec) for additional information about "own" and "template" slots.

  Specified by:
    `getOwnSlots` in interface `Frame`
  Returns:
    a collection of #Slot for this frame

### getDirectOwnSlotValue

    public Object getDirectOwnSlotValue(Slot slot)

  Description copied from interface: `Frame`
  see `Frame` for a description of the return type

  Specified by:
    `getDirectOwnSlotValue` in interface `Frame`

### getDirectOwnSlotValues

    public List getDirectOwnSlotValues(Slot slot)

  Description copied from interface: `Frame`
  See `Frame` for a description of the return type.

  Specified by:
    `getDirectOwnSlotValues` in interface `Frame`

### getOwnSlotValue

    public Object getOwnSlotValue(Slot slot)

  Description copied from interface: `Frame`
  see `Frame` for a description of the return type

  Specified by:
    `getOwnSlotValue` in interface `Frame`

### getOwnSlotValueCount

    public int getOwnSlotValueCount(Slot slot)

  Specified by:
    `getOwnSlotValueCount` in interface `Frame`

### getOwnSlotValues

    public Collection getOwnSlotValues(Slot slot)

  Description copied from interface: `Frame`
  see `Frame` for a description of the return type

  Specified by:
    `getOwnSlotValues` in interface `Frame`

### getOwnSlotValueType

    public ValueType getOwnSlotValueType(Slot slot)

  Specified by:
    `getOwnSlotValueType` in interface `Frame`

### getProject

    public Project getProject()

  Specified by:
    `getProject` in interface `Frame`

### getReferences

    public Collection<Reference> getReferences()

  Specified by:
    `getReferences` in interface `Frame`

### getReferences

    public Collection<Reference> getReferences(int maxReferences)

  Specified by:
    `getReferences` in interface `Frame`

### hasOwnSlot

    public boolean hasOwnSlot(Slot slot)

  Specified by:
    `hasOwnSlot` in interface `Frame`

### isEditable

    public boolean isEditable()

  Specified by:
    `isEditable` in interface `Frame`

### isIncluded

    public boolean isIncluded()

  Specified by:
    `isIncluded` in interface `Frame`

### isSystem

    public boolean isSystem()

  Specified by:
    `isSystem` in interface `Frame`

### isValidOwnSlotValue

    public boolean isValidOwnSlotValue(Slot slot,
                                       Object o)

  Specified by:
    `isValidOwnSlotValue` in interface `Frame`

### isVisible

    public boolean isVisible()

  Specified by:
    `isVisible` in interface `Frame`

### moveDirectOwnSlotValue

    public void moveDirectOwnSlotValue(Slot slot,
                                       int fromIndex,
                                       int toIndex)

  Specified by:
    `moveDirectOwnSlotValue` in interface `Frame`

### removeFrameListener

    public void removeFrameListener(FrameListener listener)

  Specified by:
    `removeFrameListener` in interface `Frame`

### removeOwnSlotValue

    public void removeOwnSlotValue(Slot slot,
                                   Object value)

  Description copied from interface: `Frame`
  Remove _all_ occurrences of this value.

  Specified by:
    `removeOwnSlotValue` in interface `Frame`

### setDocumentation

    public void setDocumentation(String documentation)

  Specified by:
    `setDocumentation` in interface `Frame`

### setDocumentation

    public void setDocumentation(Collection documentation)

  Specified by:
    `setDocumentation` in interface `Frame`

### setEditable

    public void setEditable(boolean b)

  Specified by:
    `setEditable` in interface `Frame`

### setIncluded

    public void setIncluded(boolean b)

  Specified by:
    `setIncluded` in interface `Frame`

### setOwnFacetValue

    public void setOwnFacetValue(Slot slot,
                                 Facet facet,
                                 Object value)

  Description copied from interface: `Frame`
  See `Frame`for a description of the value type.

  Specified by:
    `setOwnFacetValue` in interface `Frame`

### setOwnFacetValues

    public void setOwnFacetValues(Slot slot,
                                  Facet facet,
                                  Collection values)

  Description copied from interface: `Frame`
  See `Frame`for a description of the value type.

  Specified by:
    `setOwnFacetValues` in interface `Frame`

### setOwnSlotValue

    public void setOwnSlotValue(Slot slot,
                                Object value)

  Description copied from interface: `Frame`
  See `Frame`for a description of the value type. This method sets the value of an own slot at a frame to a single value. The value passed in cannot be a Collection. To pass in a collection instead use `Frame.setOwnSlotValues(Slot, Collection)`(note the final "s"). This method can be called for either cardinality-single slots or cardinality-multiple slots.

  Specified by:
    `setOwnSlotValue` in interface `Frame`

### setDirectOwnSlotValue

    public void setDirectOwnSlotValue(Slot slot,
                                      Object value)

  Description copied from interface: `Frame`
  Same as #setOwnSlotValue(Slot, Object)

  Specified by:
    `setDirectOwnSlotValue` in interface `Frame`

### setDirectOwnSlotValues

    public void setDirectOwnSlotValues(Slot slot,
                                       Collection values)

  Description copied from interface: `Frame`
  Same as #setOwnSlotValues(Slot, Collection)

  Specified by:
    `setDirectOwnSlotValues` in interface `Frame`

### setOwnSlotValues

    public void setOwnSlotValues(Slot slot,
                                 Collection values)

  Description copied from interface: `Frame`
  See `Frame`for a description of the value type. This method sets the value of an own slot at a frame to a collection of values. This method can be called for either cardinality-single slots or cardinality-multiple slots. For a cardinality single slot the collection passed in must have no more than one element.

  Specified by:
    `setOwnSlotValues` in interface `Frame`

### setSystem

    public void setSystem(boolean b)

### setVisible

    public void setVisible(boolean v)

  Specified by:
    `setVisible` in interface `Frame`

### getIcon

    public Icon getIcon()

  Specified by:
    `getIcon` in interface `Frame`

### rename

    public Frame rename(String name)

  Description copied from interface: `Frame`
  This is as close as we come to renaming a frame. Creates a clone of this with the new name and deletes this.

  Specified by:
    `rename` in interface `Frame`

### assertFrameName

    public void assertFrameName()

  Description copied from interface: `Frame`
  This call ensures that the name slot for the frame has the frame name as its value. This can be important when constructing a frame from scratch and then trying to ensure that the frame actually appears in the knowledge base. The frame will not appear in the knowledge base until the knowledge base has an assertion about the frame. Sometimes frames are created without any type information and then later the needed assertions are added.

  Specified by:
    `assertFrameName` in interface `Frame`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.